8

I recently upgraded to macOS Big Sur developer Beta 8, when I do brew install jenv I get the error Homebrew: Your CLT does not support macOS 11.0. I am using CommandLine tools GM version. Tried to reinstall it couple of times, nothing worked so far. Here is the complete error

Error: Your CLT does not support macOS 11.0.
It is either outdated or was modified.
Please update your CLT or delete it if no updates are available.
Error: An exception occurred within a child process:
  SystemExit: exit
8

Just now downloaded Command Line Tools for Xcode 12.2 beta 2 and it fixed the issue

| improve this answer | |
  • Like Jadda says, installing Xcode 12.2 beta 2 fixes the error, but I also had to delete previous Xcode install. – Andreu Biset Oct 4 at 12:09
  • The latest XCode 12.2 beta is 10.6GB, and can be found here. – Ben Butterworth Oct 23 at 9:53
3

Currently Brew is being updated incrementally to support MacOS Big Sur. You can follow the progress at their git page here.

There is very little breakage in the core for Big Sur on intel and most of the work is to get core features working on the pre-release Apple Silicon hardware. Most people on Intel hardware and not the DTK should be ready now during beta or very soon after release of the initial version of the OS.

| improve this answer | |
  • Excellent resource - please roll back my edit if it’s too cautious. – bmike Oct 13 at 22:42

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .